#ifndef FORMLISTWIDGETWORKLIST_H
#define FORMLISTWIDGETWORKLIST_H

#include "formlistwidget.h"
#include "common.h"

class FormListWidgetWorklist : public FormListWidget
{
    Q_OBJECT
public:
    explicit FormListWidgetWorklist(QWidget *parent = nullptr);
    virtual ~FormListWidgetWorklist();

    virtual void ExecuteMenu();

    virtual void CellDoubleClicked(int nRow, int nColumn);

    virtual void keyReleaseEvent(QKeyEvent *event);


    virtual void Init();

    virtual void UpdateList();

    virtual void Clear();

    virtual void SetExecMenu(bool bExecMenu);

protected:
    bool m_bExecMenu;

public slots:
    void ListSingleDown();
    void ListSingleUp();



signals:

};

#endif // FORMLISTWIDGETWORKLIST_H
